List project integrations
curl --request GET \
--url https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"integration_kind": "slack_thread",
"state": "active",
"setup_revision": 2,
"settings": {},
"provider_agent_display_name": "<string>",
"provider_config": {},
"capabilities": {
"tools": {},
"settings": {
"input_schema": {},
"description": "<string>"
},
"subscription": {
"conversation_schema": {}
},
"interaction_handler": {
"input_schema": {},
"description": "<string>"
},
"schedule": {
"input_schema": {},
"description": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_oauth_flow_id": "<string>",
"runtime_failure": {
"message": "<string>",
"retry_at": "2023-11-07T05:31:56Z"
},
"provider_tenant_id": "<string>",
"provider_account_ref": "<string>",
"bot_mention": "<string>",
"credential_secret_id": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Integrations
List project integrations
GET
/
orgs
/
{orgID}
/
projects
/
{projectID}
/
integrations
List project integrations
Authorizations
bearerAuthbrowserSessionCookie
An opaque Omnara personal or organization bearer token.
Path Parameters
Pattern:
^org_[a-z2-7]{26}$Pattern:
^proj_[a-z2-7]{26}$Query Parameters
Maximum number of items to return in one page.
Required range:
1 <= x <= 100Opaque pagination cursor from a previous response's next_cursor. Omit for the first page.
Maximum string length:
1024